/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visatype.h>

ViStatus rsvna_InitAttributes(ViSession instrSession);

ViStatus rsvna_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rsvna_CheckStatus(ViSession instrSession);

ViStatus rsvna_ParseLimitLineCatalog(ViChar  *buffer,
                                     ViInt32 size,
                                     ViChar  *catalogList,
                                     ViInt32 *nbValues);

ViStatus rsvna_WriteMemoryTraceDataExt(ViSession instrSession,
                                       ViInt32   channel_Trace,
                                       ViInt32   dataFormat,
                                       ViInt32   no_ofPoints,
                                       ViReal64  traceData[]);

ViStatus rsvna_traceCommandSelect(ViSession instrSession,
                                  ViInt32   channel,
                                  ViString  traceName,
                                  ViChar    buffer[],
                                  ViInt32   *offset);

ViStatus rsvna_getViReal64Array(ViSession     instrSession,
                                ViConstString cmd,
                                ViReal64      array[],
                                ViInt32       bufferSize,
                                ViStatus      parameterErrorCode);

ViStatus rsvna_getViReal64ArrayWindow(ViSession     instrSession,
                                      ViConstString cmdFormatString,
                                      ViInt32       window,
                                      ViReal64      array[],
                                      ViInt32       bufferSize,
                                      ViStatus      parameterErrorCode);

ViStatus rsvna_GetOrAddSequenceRepCap(ViSession instrSession,
                                      ViAttr    attribute,
                                      ViInt32   sequence,
                                      ViInt32   bufferSize,
                                      ViChar    repCapBuffer[]);

ViStatus rsvna_utility_error_message(ViSession instrSession,
                                     ViStatus  errorCode,
                                     ViChar    errorMessage[]);

