/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Internal include file (Non-Exported declarations)
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2023-01-18 12:33:56Z
 *****************************************************************************/

#pragma once
#include <visatype.h>

#define RSVNA_ATTR_HIDDEN_QUERY_LIMIT_LINE_FAIL_DATA                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 922
#define RSVNA_ATTR_HIDDEN_LIMIT_CHECK_LOWER_POINTS                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1598
#define RSVNA_ATTR_HIDDEN_LIMIT_CHECK_UPPER_POINTS                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1599
#define RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_TASK_LIST                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1208
#define RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_ACTIVE                                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1210
#define RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_PERMANENT                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1211
#define RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_PERMANENT_TASK                          RS_SPECIFIC_PUBLIC_ATTR_BASE + 1212
#define RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_PERMANENT_TASK_ADDITIONAL_INPUT         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1213
#define RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_TASK_ADDRESS                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1214
#define RSVNA_ATTR_HIDDEN_SWEEP_OPTIMIZE_CHANNEL_SWITCHING_MANUAL              RS_SPECIFIC_PUBLIC_ATTR_BASE + 1221
#define RSVNA_ATTR_HIDDEN_LOAD_CALIBRATION_DATA_FROM_CAL_GROUP_FILE            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1223
#define RSVNA_ATTR_HIDDEN_CALIBRATION_DETECTOR_TYPE                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1224
#define RSVNA_ATTR_HIDDEN_SOURCE_POWER_CALIBRATION_DATA_PARAMETERS             RS_SPECIFIC_PUBLIC_ATTR_BASE + 954
#define RSVNA_ATTR_HIDDEN_SOURCE_POWER_CALIBRATION_POWER_DEEMBEDDING           RS_SPECIFIC_PUBLIC_ATTR_BASE + 1226
#define RSVNA_ATTR_HIDDEN_SOURCE_POWER_CALIBRATION                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1398
#define RSVNA_ATTR_HIDDEN_POWER_METER_TRANSMISSION_COEFFICIENTS_STATE          RS_SPECIFIC_PUBLIC_ATTR_BASE + 630
#define RSVNA_ATTR_HIDDEN_POWER_METER_TRACE_TO_LIST                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 634
#define RSVNA_ATTR_HIDDEN_POWER_METER_NUMBER_OF_POINTS                         RS_SPECIFIC_PUBLIC_ATTR_BASE + 635
#define RSVNA_ATTR_HIDDEN_CALIBRATION_AUTOMATIC_VECTOR_MIXER                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1403
#define RSVNA_ATTR_HIDDEN_CALIBRATION_ICS_UNKNOWN_THROUGH                      RS_SPECIFIC_PUBLIC_ATTR_BASE + 1623
#define RSVNA_ATTR_HIDDEN_ARE_CALIBRATIONS_JOINABLE                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1624
#define RSVNA_ATTR_HIDDEN_JOIN_CALLIBRATIONS                                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1625
#define RSVNA_ATTR_HIDDEN_CALIBRATION_DELAY_MIXER                              RS_SPECIFIC_PUBLIC_ATTR_BASE + 1700
#define RSVNA_ATTR_HIDDEN_CALIBRATION_CONVERTER_OFFSET                         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1702
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_MAGNITUDE_LOWER_DEVIATION     RS_SPECIFIC_PUBLIC_ATTR_BASE + 1231
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_MAGNITUDE_UPPER_DEVIATION     RS_SPECIFIC_PUBLIC_ATTR_BASE + 1232
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_PHASE_LOWER_DEVIATION         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1234
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_PHASE_UPPER_DEVIATION         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1235
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_IMAGINARY_LOWER               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1707
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_IMAGINARY_UPPER               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1708
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_REAL_LOWER                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1709
#define RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_REAL_UPPER                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1710
#define RSVNA_ATTR_HIDDEN_METAS_SELECT_CABLE                                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1239
#define RSVNA_ATTR_HIDDEN_METAS_CABLE_RECONNECTION                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1241
#define RSVNA_ATTR_HIDDEN_METAS_CABLE_MOVEMENT                                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1244
#define RSVNA_ATTR_HIDDEN_NOISE_FIGURE_CALIBRATION_START                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1426
#define RSVNA_ATTR_HIDDEN_NOISE_FIGURE_CALIBRATION_INITIATE_MEASUREMENT        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1431
#define RSVNA_ATTR_HIDDEN_GPIO_SUM                                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 984
#define RSVNA_ATTR_HIDDEN_DIRECT_REAR_IF_FREQUENCY                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1459
#define RSVNA_ATTR_HIDDEN_DIRECT_MEASUREMENT_IF_FREQUENCY                      RS_SPECIFIC_PUBLIC_ATTR_BASE + 1467
#define RSVNA_ATTR_HIDDEN_DIRECT_REFERENCE_IF_FREQUENCY                        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1468
#define RSVNA_ATTR_HIDDEN_REAR_LO_FREQUENCY                                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1471
#define RSVNA_ATTR_HIDDEN_TRIGGER_LOGIC                                        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1476
#define RSVNA_ATTR_HIDDEN_TRIGGER_READY_TIMEOUT                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1748
#define RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_FILE  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1651
#define RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_FILE RS_SPECIFIC_PUBLIC_ATTR_BASE + 1652
#define RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_PORT  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1655
#define RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_PORT RS_SPECIFIC_PUBLIC_ATTR_BASE + 1656
#define RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_DUT_PORT          RS_SPECIFIC_PUBLIC_ATTR_BASE + 1660
#define RSVNA_ATTR_HIDDEN_MIXER_DELAY_UPPER_TONE                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1490
#define RSVNA_ATTR_HIDDEN_MIXER_DELAY_LOAD_KNOWN_DELAY_VALUES                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1491
#define RSVNA_ATTR_HIDDEN_MIXER_DELAY_LOAD_CORRECTION_DATA                     RS_SPECIFIC_PUBLIC_ATTR_BASE + 1492
#define RSVNA_ATTR_HIDDEN_MIXER_DELAY_STORE_CORRECTION_DATA                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1493
#define RSVNA_ATTR_HIDDEN_PULSE_GENERATOR_TRAIN_DATA                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 1510
#define RSVNA_ATTR_HIDDEN_DISPLAY_GRID_ROWS_AND_COLUMNS                        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1314
#define RSVNA_ATTR_HIDDEN_SYSTEM_HELP_SYNTAX                                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1187
#define RSVNA_ATTR_HIDDEN_POWER_LEVEL_OPC_CHECK_PORT                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 1670
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_HISTORY                                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1321
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_UTILIZATION                              RS_SPECIFIC_PUBLIC_ATTR_BASE + 1322
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_UTILIZATION_HISTORY                      RS_SPECIFIC_PUBLIC_ATTR_BASE + 1323
#define RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_HISTORY_DETAILED                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1671
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_FOOTPRINT                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1324
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SECURITY                                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1325
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SERVICE_INFORMATION                      RS_SPECIFIC_PUBLIC_ATTR_BASE + 1326
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_BIOS                                     RS_SPECIFIC_PUBLIC_ATTR_BASE + 1327
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_STORAGE                                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1328
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SOFTWARE                                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1329
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SYSTEM_INFO                              RS_SPECIFIC_PUBLIC_ATTR_BASE + 1330
#define RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SYSTEM_STATUS                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1331
#define RSVNA_ATTR_HIDDEN_HUMS_REST_API_ENDPOINTS                              RS_SPECIFIC_PUBLIC_ATTR_BASE + 1332
#define RSVNA_ATTR_HIDDEN_HUMS_SNMP_DEFINE_USER_PROFILE                        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1341
#define RSVNA_ATTR_HIDDEN_HUMS_TAG_DEFINE_KEY_PAIR                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1346
#define RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_TRACKING_ENABLED                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1352
#define RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_CREATES_CUSTOM                      RS_SPECIFIC_PUBLIC_ATTR_BASE + 1672
#define RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_UPDATE_CUSTOM                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1673
#define RSVNA_ATTR_HIDDEN_HUMS_ADD_EVENT                                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1677
#define RSVNA_ATTR_HIDDEN_GENERIC_DEVICE_CONFIGURE                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1556
#define RSVNA_ATTR_HIDDEN_GENERIC_DEVICE_SELECT                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1559
#define RSVNA_ATTR_HIDDEN_GENERIC_DEVICE_CALIBRATION_MIXER                     RS_SPECIFIC_PUBLIC_ATTR_BASE + 1764
#define RSVNA_ATTR_HIDDEN_CONVERTER_START_STOP_FREQUENCY                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1564
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_START_STOP_FREQUENCY                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1565
#define RSVNA_ATTR_HIDDEN_CONVERTER_IF_FREQUENCY                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1566
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_IF_FREQUENCY                         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1567
#define RSVNA_ATTR_HIDDEN_CONVERTER_LOCAL_MULTIPLICATOR                        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1568
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_LOCAL_MULTIPLICATOR                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1569
#define RSVNA_ATTR_HIDDEN_CONVERTER_LOCAL_POWER                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1570
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_LOCAL_POWER                          RS_SPECIFIC_PUBLIC_ATTR_BASE + 1571
#define RSVNA_ATTR_HIDDEN_CONVERTER_LOCAL_POWER_OFFSET                         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1572
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_LOCAL_POWER_OFFSET                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1573
#define RSVNA_ATTR_HIDDEN_CONVERTER_MAXIMUM_INPUT_POWER                        RS_SPECIFIC_PUBLIC_ATTR_BASE + 1574
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_MAXIMUM_INPUT_POWER                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1575
#define RSVNA_ATTR_HIDDEN_CONVERTER_SOURCE_MULTIPLICATOR                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1576
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_MULTIPLICATOR                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1577
#define RSVNA_ATTR_HIDDEN_CONVERTER_SOURCE_NOMINAL_POWER                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1578
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_NOMINAL_POWER                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1579
#define RSVNA_ATTR_HIDDEN_CONVERTER_SOURCE_NOMINAL_POWER_OFFSET                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1580
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_NOMINAL_POWER_OFFSET          RS_SPECIFIC_PUBLIC_ATTR_BASE + 1581
#define RSVNA_ATTR_HIDDEN_CONVERTER_SPLITTER_LO_PORT                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 1583
#define RSVNA_ATTR_HIDDEN_CONVERTER_LO_PORT                                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1590
#define RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_PORT                          RS_SPECIFIC_PUBLIC_ATTR_BASE + 1592
#define RSVNA_ATTR_HIDDEN_LEVELING_DATASET_FILE                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1596
